WebSphereProcessDefinition (CMDB Model API)
Keywords: com.collation.platform.model.topology.app.j2ee.websphere.WebSphereProcessDefinition interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.app.j2ee.websphere
Interface WebSphereProcessDefinition

All Superinterfaces:
  LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, java.io.Serializable

    public interface WebSphereProcessDefinition

extends LogicalElement

Settings for a WebSphere Server process

Naming Rules:
  0="parent"
Persistable:
  true
Table Name:
  WASPDEF
Display Name:
  parent

Field Summary

Fields inherited from interface com.collation.platform.model.topology.core.ManagedElement
`IBM_COPYRIGHT`

Method Summary
`java.lang.String` | `getExecutableArguments()`
`java.lang.String` | `getExecutableName()`
`java.lang.String` | `getExecutableTarget()`
`java.lang.String` | `getExecutableTargetKind()`
`WebSphereJVMSettings[]` | `getJVMSettings()`
`WebSphereProcessMonitoringPolicy` | `getMonitoringPolicy()`
`WebSphereServer` | `getParent()`
`int` | `getProcessPriority()`
`java.lang.String` | `getRunAsGroup()`
`java.lang.String` | `getRunAsUser()`
`int` | `getRunInProcessGroup()`
`java.lang.String` | `getStderrFilename()`
`java.lang.String` | `getStdinFilename()`
`java.lang.String` | `getStdoutFilename()`
`java.lang.String` | `getUmask()`
`java.lang.String` | `getWorkingDirectory()`
`boolean` | `hasExecutableArguments()`
`boolean` | `hasExecutableName()`
`boolean` | `hasExecutableTarget()`
`boolean` | `hasExecutableTargetKind()`
`boolean` | `hasJVMSettings()`
`boolean` | `hasMonitoringPolicy()`
`boolean` | `hasParent()`
`boolean` | `hasProcessPriority()`
`boolean` | `hasRunAsGroup()`
`boolean` | `hasRunAsUser()`
`boolean` | `hasRunInProcessGroup()`
`boolean` | `hasStderrFilename()`
`boolean` | `hasStdinFilename()`
`boolean` | `hasStdoutFilename()`
`boolean` | `hasUmask()`
`boolean` | `hasWorkingDirectory()`
`void` | `setExecutableArguments(java.lang.String executableArgs)`
`void` | `setExecutableName(java.lang.String executableName)`
`void` | `setExecutableTarget(java.lang.String executableTarget)`
`void` | `setExecutableTargetKind(java.lang.String executableTargetKind)`
`void` | `setJVMSettings(WebSphereJVMSettings[] jvmConfig)`
`void` | `setMonitoringPolicy(WebSphereProcessMonitoringPolicy pmon)`
`void` | `setParent(WebSphereServer parent)`
`void` | `setProcessPriority(int processPriority)`
`void` | `setRunAsGroup(java.lang.String runAsGroup)`
`void` | `setRunAsUser(java.lang.String runAsUser)`
`void` | `setRunInProcessGroup(int runInProcessGroup)`
`void` | `setStderrFilename(java.lang.String stderrFilename)`
`void` | `setStdinFilename(java.lang.String stdinFilename)`
`void` | `setStdoutFilename(java.lang.String stdoutFilename)`
`void` | `setUmask(java.lang.String umask)`
`void` | `setWorkingDirectory(java.lang.String workingDirectory)`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Method Detail

### getParent

    WebSphereServer getParent()
                              throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.ConfiguredUsing" reverse="true"

### setParent

    void setParent(WebSphereServer parent)

### hasParent

    boolean hasParent()

### getJVMSettings

    WebSphereJVMSettings[] getJVMSettings()
                                          throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Uses" reverse="false"
  Containment Relationship:
    true

### setJVMSettings

    void setJVMSettings(WebSphereJVMSettings[] jvmConfig)

### hasJVMSettings

    boolean hasJVMSettings()

### getExecutableName

    java.lang.String getExecutableName()
                                       throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setExecutableName

    void setExecutableName(java.lang.String executableName)

### hasExecutableName

    boolean hasExecutableName()

### getExecutableArguments

    java.lang.String getExecutableArguments()
                                            throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setExecutableArguments

    void setExecutableArguments(java.lang.String executableArgs)

### hasExecutableArguments

    boolean hasExecutableArguments()

### getWorkingDirectory

    java.lang.String getWorkingDirectory()
                                         throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setWorkingDirectory

    void setWorkingDirectory(java.lang.String workingDirectory)

### hasWorkingDirectory

    boolean hasWorkingDirectory()

### getExecutableTargetKind

    java.lang.String getExecutableTargetKind()
                                             throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setExecutableTargetKind

    void setExecutableTargetKind(java.lang.String executableTargetKind)

### hasExecutableTargetKind

    boolean hasExecutableTargetKind()

### getExecutableTarget

    java.lang.String getExecutableTarget()
                                         throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setExecutableTarget

    void setExecutableTarget(java.lang.String executableTarget)

### hasExecutableTarget

    boolean hasExecutableTarget()

### getProcessPriority

    int getProcessPriority()
                           throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setProcessPriority

    void setProcessPriority(int processPriority)

### hasProcessPriority

    boolean hasProcessPriority()

### getUmask

    java.lang.String getUmask()
                              throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setUmask

    void setUmask(java.lang.String umask)

### hasUmask

    boolean hasUmask()

### getRunAsUser

    java.lang.String getRunAsUser()
                                  throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setRunAsUser

    void setRunAsUser(java.lang.String runAsUser)

### hasRunAsUser

    boolean hasRunAsUser()

### getRunAsGroup

    java.lang.String getRunAsGroup()
                                   throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setRunAsGroup

    void setRunAsGroup(java.lang.String runAsGroup)

### hasRunAsGroup

    boolean hasRunAsGroup()

### getRunInProcessGroup

    int getRunInProcessGroup()
                             throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setRunInProcessGroup

    void setRunInProcessGroup(int runInProcessGroup)

### hasRunInProcessGroup

    boolean hasRunInProcessGroup()

### getStdinFilename

    java.lang.String getStdinFilename()
                                      throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setStdinFilename

    void setStdinFilename(java.lang.String stdinFilename)

### hasStdinFilename

    boolean hasStdinFilename()

### getStdoutFilename

    java.lang.String getStdoutFilename()
                                       throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setStdoutFilename

    void setStdoutFilename(java.lang.String stdoutFilename)

### hasStdoutFilename

    boolean hasStdoutFilename()

### getStderrFilename

    java.lang.String getStderrFilename()
                                       throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setStderrFilename

    void setStderrFilename(java.lang.String stderrFilename)

### hasStderrFilename

    boolean hasStderrFilename()

### getMonitoringPolicy

    WebSphereProcessMonitoringPolicy getMonitoringPolicy()
                                                         throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Evaluates" reverse="true"
  Containment Relationship:
    true

### setMonitoringPolicy

    void setMonitoringPolicy(WebSphereProcessMonitoringPolicy pmon)

### hasMonitoringPolicy

    boolean hasMonitoringPolicy()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD